Summary row for a sale in search results. Use GET /sales/{sale_id} for the full Sale.
Fields
Sale identifier.
Example:
"dbe3178d-4b83-5024-9b26-9b8e1b280514"- Options:
"CLOSED"Lifecycle state of the sale. Non-finalised sales are never returned; only fully-paid sales.
Example:
"CLOSED" - Options:
"NO_TAX""GROSS""NET"Checkout tax mode for the sale. Same values as
Sale.tax_mode.Example:
"NO_TAX" The currency of the sale.
Show 2 properties
- format:
iso-4217minLength:3maxLength:33-letter currency code as defined by ISO-4217.
Example:
"EUR" The scaling factor to apply to the value to arrive at the currency's major unit. Providing a scale mitigates changes to the minor unit over time, for example due to inflation. For example, if
scaleis denoted bysandvalueis denoted byvis the value, then one arrives at the major currency value by calculatingv / 10^s.Example:
2
- format:
int64Final sale gross total after discounts and taxes, excluding tips. Same value as
Sale.price.gross_amount, in minor units according tocurrency.scale. Payment amounts include tips and can therefore differ from this total.Example:
1250 - format:
date-timeInstant when the sale was created.
Example:
"2026-06-01T14:30:00Z" - format:
date-timeInstant when the sale was closed. Always present: non-finalised sales are never returned.
Example:
"2026-06-01T14:35:00Z" - user_idstringformat:
uuidIdentity UUID of the cashier who processed the sale. Omitted when the cashier identity is unknown.
Example:
"d6f51684-519b-454c-bdb3-deeb05f52b92" - namestring
Display name of the sale when set; otherwise a concatenation of item names with quantities. Omitted when neither is available.
Example:
"Order 1234"